{
  "id": "61997aa26549f90ee783a3f2",
  "source": "solid:signals",
  "type": "github-document",
  "title": "no-hydration",
  "content": "---\ntitle: \u003cNoHydration\u003e\nuse_cases: \u003e-\n  static content, ssr optimization, performance, reducing bundle size,\n  server-only rendering\ntags:\n  - ssr\n  - hydration\n  - optimization\n  - performance\n  - static\n  - server-rendering\nversion: '1.0'\ndescription: \u003e-\n  Prevent client-side hydration for static content in SolidJS. Optimize\n  performance by skipping hydration for server-rendered static elements.\n---\n\nThe `\u003cNoHydration\u003e` component prevents the client-side hydration process from being applied to its children.\nDuring server-side rendering, components and elements wrapped within `\u003cNoHydration\u003e` will render normally on the server, contributing to the initial HTML output.\nHowever, during client-side hydration, Solid bypasses the hydration process for the content within `\u003cNoHydration\u003e`.\nThis means that elements within `\u003cNoHydration\u003e` will not have event listeners attached by Solid, and their state will not be managed reactively on the client-side after the initial render.\n\n:::note\nPlacing a `\u003cHydration\u003e` component inside `\u003cNoHydration\u003e` has no effect and will not override the `\u003cNoHydration\u003e` behavior.\n:::\n\n## Example\n\n```tsx\nimport { NoHydration } from \"solid-js/web\";\nimport { InteractiveComponent, StaticContent } from \"./components\";\n\nfunction Example() {\n\treturn (\n\t\t\u003cdiv\u003e\n\t\t\t\u003cInteractiveComponent /\u003e\n\t\t\t\u003cNoHydration\u003e\n\t\t\t\t\u003cStaticContent /\u003e\n\t\t\t\u003c/NoHydration\u003e\n\t\t\u003c/div\u003e\n\t);\n}\n```",
  "url": "https://github.com/solidjs/solid-docs/blob/HEAD/src/routes/reference/components/no-hydration.mdx",
  "metadata": {
    "path": "src/routes/reference/components/no-hydration.mdx",
    "repo": "solidjs/solid-docs",
    "repo_url": "https://github.com/solidjs/solid-docs.git",
    "size": 1396,
    "source_type": "github"
  },
  "hash": "c78ee4e66718058cdc184b7c5c31cb0284c70c5e8ace52cfe3d171cbd3ea860d",
  "timestamp": "2026-02-23T11:43:00.189060317+01:00"
}